## criticalmass 1.0.2

=== curl/Makefile ===
#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) 1998 - 2005, Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at http://curl.haxx.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# $Id: Makefile.dist,v 1.31 2005/03/31 07:02:02 bagder Exp $
###########################################################################

all:
	./configure
	make

ssl:
	./configure --with-ssl
	make

borland:
	cd lib
	make -f Makefile.b32
	cd ..\src
	make -f Makefile.b32

borland-ssl:
	cd lib
	make -f Makefile.b32 WITH_SSL=1
	cd ..\src
	make -f Makefile.b32 WITH_SSL=1

borland-ssl-zlib:
	cd lib
	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
	cd ..\src
	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1

borland-clean:
	cd lib
	make -f Makefile.b32 clean
	cd ..\src
	make -f Makefile.b32 clean

watcom:
	cd lib
	wmake -f Makefile.Watcom
	cd ..\src
	wmake -f Makefile.Watcom

watcom-clean:
	cd lib
	wmake -f Makefile.Watcom clean
	cd ..\src
	wmake -f Makefile.Watcom clean

mingw32:
	$(MAKE) -C lib -f Makefile.m32 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 ZLIB=1

mingw32-ssl:
	$(MAKE) -C lib -f Makefile.m32 SSL=1 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 SSL=1 ZLIB=1

mingw32-clean:
	$(MAKE) -C lib -f Makefile.m32 clean
	$(MAKE) -C src -f Makefile.m32 clean

vc-clean:
	cd lib
	nmake -f Makefile.vc6 clean
	cd ..\src
	nmake -f Makefile.vc6 clean

vc-all:
	cd lib
	nmake -f Makefile.vc6 cfg=release
	nmake -f Makefile.vc6 cfg=release-ssl
	nmake -f Makefile.vc6 cfg=release-zlib
	nmake -f Makefile.vc6 cfg=release-ssl-zlib
	nmake -f Makefile.vc6 cfg=release-ssl-dll
	nmake -f Makefile.vc6 cfg=release-zlib-dll
	nmake -f Makefile.vc6 cfg=release-ssl-dll-zlib-dll
	nmake -f Makefile.vc6 cfg=release-dll
	nmake -f Makefile.vc6 cfg=release-dll-ssl-dll
	nmake -f Makefile.vc6 cfg=release-dll-zlib-dll
	nmake -f Makefile.vc6 cfg=release-dll-ssl-dll-zlib-dll
	nmake -f Makefile.vc6 cfg=debug
	nmake -f Makefile.vc6 cfg=debug-ssl
	nmake -f Makefile.vc6 cfg=debug-zlib
	nmake -f Makefile.vc6 cfg=debug-ssl-zlib
	nmake -f Makefile.vc6 cfg=debug-ssl-dll
	nmake -f Makefile.vc6 cfg=debug-zlib-dll
	nmake -f Makefile.vc6 cfg=debug-ssl-dll-zlib-dll
	nmake -f Makefile.vc6 cfg=debug-dll
	nmake -f Makefile.vc6 cfg=debug-dll-ssl-dll
	nmake -f Makefile.vc6 cfg=debug-dll-zlib-dll
	nmake -f Makefile.vc6 cfg=debug-dll-ssl-dll-zlib-dll

vc:
	cd lib
	nmake /f Makefile.vc6 cfg=release
	cd ..\src
	nmake /f Makefile.vc6

vc-zlib:
	cd lib
	nmake /f Makefile.vc6 cfg=release-zlib
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-zlib

vc-ssl:
	cd lib
	nmake /f Makefile.vc6 cfg=release-ssl
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-ssl

vc-ssl-zlib:
	cd lib
	nmake /f Makefile.vc6 cfg=release-ssl-zlib
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-ssl-zlib

vc-ssl-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-ssl-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-ssl-dll

vc-dll-ssl-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-dll-ssl-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-dll-ssl-dll

vc-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-dll

vc-dll-zlib-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-dll-zlib-dll

vc-dll-ssl-dll-zlib-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-dll-ssl-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-dll-ssl-dll-zlib-dll

vc-ssl-dll-zlib-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-ssl-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-ssl-dll-zlib-dll

vc-zlib-dll:
	cd lib
	nmake /f Makefile.vc6 cfg=release-zlib-dll
	cd ..\src
	nmake /f Makefile.vc6 cfg=release-zlib-dll

vc-sspi:
	cd lib
	nmake /f Makefile.vc6 cfg=release WINDOWS_SSPI=1
	cd ..\src
	nmake /f Makefile.vc6 cfg=release WINDOWS_SSPI=1

djgpp:
	$(MAKE) -C lib -f Makefile.dj
	$(MAKE) -C src -f Makefile.dj

cygwin:
	./configure
	make

cygwin-ssl:
	./configure --with-ssl
	make

amiga:
	cd ./lib && make -f makefile.amiga
	cd ./src && make -f makefile.amiga

netware:
	$(MAKE) -C lib -f Makefile.netware
	$(MAKE) -C src -f Makefile.netware

netware-ssl:
	$(MAKE) -C lib -f Makefile.netware SSL=1
	$(MAKE) -C src -f Makefile.netware SSL=1

netware-clean:
	$(MAKE) -C lib -f Makefile.netware clean
	$(MAKE) -C src -f Makefile.netware clean

unix: all

unix-ssl: ssl

linux: all

linux-ssl: ssl

## criticalmass 1.0.0

=== debian/changelog ===
criticalmass (1:1.0.0-6) unstable; urgency=medium

  * QA upload.
  * Convert to dh build.
  * Bump Standards-Version to 4.1.0.
    - Drop obsolete menu file
  * Enable all hardening options.
    - Add patch to honour CXXFLAGS
  * Support proper autoreconfiguring
    - Drop unneeded autogen patch
    - Initialize automake correctly
  * Remove ancient postrm / preinst that converted doc symlink to directory.
  * Create resource.dat with sorted file list to allow reproducible building.
  * Move .desktop file from criticalmass-data to criticalmass binary package.
    - Add corresponding Breaks / Replaces
  * Add watch file.
  * Add missing patch headers.
  * Drop unnecessary criticalmass-data.dirs file.
  * Fix spelling error found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 19 Sep 2017 16:00:22 +0200

criticalmass (1:1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Force building with the older gnu++98 standard.
    Thanks to Adrian Bunk for the patch. (Closes: #811816)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove obsolete Replaces field and drop g++ build-dependency.
  * criticalmass.desktop: Add keywords and a comment in German.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Oct 2016 21:43:58 +0200

criticalmass (1:1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16, depend on libpng-dev (closes: #809863).
  * Build autoconfage from source (needed to detect libpng16).
  * Use system libcurl (closes: #599061).
  * Add build-arch and build-indep targets.
  * Properly use zlib encludes.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 12 Jan 2016 10:12:01 +0100

criticalmass (1:1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Remove puckman/Makefile and utilities/Makefile by hand.
  * debian/generated-files.txt: Files generated by ./configure.
  * debian/rules: Remove those files in the clean target.
  * Switch to "3.0 (quilt)" source format.
  * debian/patches/do-not-embed-the-build-date: New patch.
    Change game/OnlineUpdate.cpp and game/main.cpp to stop using
    __DATE__ and __TIME__. This should make the build reproducible.
  * Switch to pristine source in tar.bz2 format.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 13:15:26 +0200

criticalmass (1:1.0.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMU (Closes: #580729).
  * Use autotools-dev to update config.{sub,guess} for new arches (Closes:
    #733474).
  * Update the Homepage: field to the project one (Closes: #348275).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Oct 2014 01:33:56 +0200

criticalmass (1:1.0.0-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * d/control: Add missing libpng12-dev to Build-Depends,
    fixes FTBFS. (Closes: #669553)
  * d/criticalmass.desktop, d/critter.xpm, d/menu,
    d/criticalmass-data.dirs, d/criticalmass-data.install:
    - Added a .desktop file and updated menu file.
    - Installed provided png file, and generated xpm icon.
    - Above changes merged from Ubuntu. (Closes: #448326, #666174)

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 05 May 2012 22:49:42 +0200

criticalmass (1:1.0.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Depends 
    - replace xlibmesa-dev to libgl1-mesa-dev (Closes: #581825)

 -- tony mancill <tmancill@debian.org>  Sun, 16 May 2010 13:30:07 -0700

criticalmass (1:1.0.0-1.3) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/compat
    - New file; value 7.
  * debian/control
    - (Build-Depends): remove obsolete libglu1-xorg-dev
      (important; Closes: #578969). Add autotools-dev due to new
      config.* files.
  * debian/control
    - Delete EOL whitespaces.
    - (Build-Depends): Update to debhelper 7.1. Remove all "*-N"
      suffixes from dependencies (W: Lintian).
    - (Depends): add ${misc:Depends}.
    - (Homepage): Add new field.
    - (Standards-Version): Update from ancient 3.6.1.0 to 3.8.4.
  * debian/menu:
    - (seaction): Change unknown "Arcade" to "Adventure".
  * debian/rules
    - (DH_COMPAT): Remove, use debian/compat instead.
    - (clean): Fix debian-rules-ignores-make-clean-error.
    - (configure-stamp): Use latest config.* files.
      (FTBFS; Closes: #550110).
    - (install): Change ch_clean with dh_prep.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 21:49:33 +0300

criticalmass (1:1.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455156)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:11:36 +0100

criticalmass (1:1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make binNMU safe (Closes: #432982).
  * Fix FTBFS with GCC 4.3 (Closes: #417135).

 -- Luk Claes <luk@debian.org>  Sat, 01 Sep 2007 14:55:46 +0000

criticalmass (1:1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu,  5 Jan 2006 19:22:35 -0800

criticalmass (1:0.9.12-5) unstable; urgency=low

  * Downgrade criticalmass-data's Dependency on criticalmass to a
    Suggests. (Closes: #339903)
  
  * Give criticalmass-data a real doc directory and remove the symlink
    from old versions on upgrade.
  
  * Explicitly remove curl/config.{log,status} in
    the clean target, as they seem to get included
    when pdebuild is used.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Nov 2005 16:33:38 -0800

criticalmass (1:0.9.12-4) unstable; urgency=low

  * Update upstream's email in debian/copyright.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 13:18:12 -0700

criticalmass (1:0.9.12-3) unstable; urgency=low

  * Fix FTBFS on alpha. (Closes: #335115)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 12:21:33 -0700

criticalmass (1:0.9.12-2) unstable; urgency=low



=== debian/control ===
Source: criticalmass
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev | libgl-dev,
 libpng-dev,
 libsdl-image1.2-dev (>= 1.2.2),
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 4.1.0
Homepage: http://criticalmass.sourceforge.net/critter.php

Package: criticalmass
Architecture: any
Depends:
 criticalmass-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: criticalmass-data (<< 1:1.0.0-6)
Breaks: criticalmass-data (<< 1:1.0.0-6)
Description: Shoot-em-up a la galaxian
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 Note: criticalmass uses OpenGL, and will probably not run well if you do
 not have a 3d accelerator which is supported by X.

Package: criticalmass-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 criticalmass (>= ${source:Version})
Description: Shoot-em-up a la galaxian (data files)
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 This package provides architecture-independent data files for criticalmass.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --datadir=\$${prefix}/share/games --bindir=\$${prefix}/games

override_dh_auto_build:
	dh_auto_build -- pkgdatadir=/usr/share/games/criticalmass

override_dh_auto_install:
	dh_auto_install -- pkgdatadir=/usr/share/games/criticalmass

=== debian/watch ===
version=4
http://sf.net/criticalmass/ CriticalMass-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## criticalmass 1.0.2

=== debian/changelog ===
criticalmass (1:1.0.2-2) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.
  * Add forwarded headers to debian/patches/.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:40 +0100

criticalmass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Rework the whole packaging.
  * Remove extra whitespaces from debian/changelog.
  * Adjust debian/watch so that only releases with two dots are monitored.
  * Bump Standards-Version to 4.5.0.
  * Use debhelper-compat level 12.
  * Add patch 10-manpage-whatis-entry.
  * Add manpage for Packer.
  * Upgrade criticalmass-data suggest on criticalmass to recommends.
  * Add doc-base file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Jan 2020 09:44:39 +0100

criticalmass (1:1.0.0-7) unstable; urgency=medium

  * Adopt package.
    Closes: #738892

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 12:07:52 +0100

=== debian/control ===
Source: criticalmass
Section: games
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev | libgl-dev,
 libpng-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/criticalmass/

Package: criticalmass
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 criticalmass-data (= ${source:Version})
Replaces: criticalmass-data (<< 1:1.0.0-6)
Breaks: criticalmass-data (<< 1:1.0.0-6)
Description: Shoot-em-up a la galaxian
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 Note: criticalmass uses OpenGL, and will probably not run well if you do
 not have a 3d accelerator which is supported by X.

Package: criticalmass-data
Architecture: all
Depends: ${misc:Depends}
Recommends: criticalmass
Description: Shoot-em-up a la galaxian (data files)
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 This package provides architecture-independent data files for criticalmass.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-#export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
version=4
http://sf.net/criticalmass/CriticalMass-(.*\..*\..*)\.tar\.bz2
